INSERT INTO xcart_config (name,value,defvalue,variants) VALUES ('applied_patches',',bt_3553-ver1','','') ON DUPLICATE KEY UPDATE value = CONCAT_WS(',',value,'bt_3553-ver1');
DELETE FROM xcart_modules WHERE `module_name` = 'Paypal_Checkout';

INSERT INTO xcart_modules (`module_name`, `module_descr`, `active`, `init_orderby`, `author`, `module_url`, `tags`) VALUES ("Paypal_Checkout", "The newest all-in-one PayPal solution merges former PayPal payment solutions.", "N", "0", "qualiteam", "", "checkout");

REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "lbl_paypal_checkout_toggle_legacy_solutions", "Show/hide legacy solutions", "Labels");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "module_descr_Paypal_Checkout", "The newest all-in-one PayPal solution merges former PayPal payment solutions.", "Modules");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "module_name_Paypal_Checkout", "PayPal Checkout", "Modules");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "txt_paypal_checkout_note4disabled", "The newest all-in-one PayPal Checkout solution is currently turned <strong>OFF</strong>. Go the <a href=\"modules.php#Paypal_Checkout\">\"Modules\"</a> section and enable the \"PayPal Checkout\" module.", "Text");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "txt_paypal_checkout_note4enabled", "The newest all-in-one PayPal Checkout solution is currently turned <strong>ON</strong>. You can configure it <a href=\"configuration.php?option=Paypal_Checkout\">\"here\"</a> or <a href=\"modules.php#Paypal_Checkout\">\"disable\"</a> it to use legacy solutions below.", "Text");

UPDATE xcart_config SET `value` = "0" WHERE `name` = "data_cache_expiration";


-- hidden BN Code
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_bn_code', value = 'XCart_SP_PCP', category = '', `type` = 'text', defvalue = 'XCart_SP_PCP', variants = '';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_secure_key', value = '', category = '', `type` = 'text', defvalue = '', variants = '';

-- hidden flag to enable webhooks
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_enable_webhooks', value = '', category = '', `type` = 'text', defvalue = '', variants = '';


-- tab1 Settings
-- uncomment to show webhooks
-- REPLACE INTO `xcart_config` SET name = 'pc_webhook_url_comment', value = '', category = 'Paypal_Checkout', orderby = 10, `type` = 'separator', defvalue = '', variants = '', comment = 'Webhook URL assigned to the current Client Id/Secret:<br /><div id=\"paypal-checkout-webhookurl-comment\" style=\"color: #2c3e49;\">NONE</div>';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_sep1_settings', value = '', category = 'Paypal_Checkout', orderby = 20, `type` = 'separator', defvalue = '', variants = '', comment = 'Your Account Settings';
-- client's merchant_id   Sandbox account info -> Account ID
REPLACE INTO `xcart_config` SET name = 'pc_merchant_id_of_client', value = '', category = 'Paypal_Checkout', orderby = 30, `type` = 'text', defvalue = '', variants = '';
-- login-test app
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_client_id', value = '', category = 'Paypal_Checkout', orderby = 40, `type` = 'text', defvalue = '', variants = '';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_client_secret', value = '', category = 'Paypal_Checkout', orderby = 50, `type` = 'text', defvalue = '', variants = '';

REPLACE INTO `xcart_config` SET name = 'paypal_checkout_sep2_settings', value = '', category = 'Paypal_Checkout', orderby = 60, `type` = 'separator', defvalue = '', variants = '', comment = 'General Settings';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_use_preauth', value = 'N', category = 'Paypal_Checkout', orderby = 70, `type` = 'selector', defvalue = 'N', variants = 'N:Auth and Capture\nY:Auth only';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_currency', value = 'USD', category = 'Paypal_Checkout', orderby = 80, `type` = 'selector', defvalue = 'USD', variants = 'USD:United States dollar (USD)\nEUR:Euro (EUR)\nAUD:Australian Dollar (AUD)\nBRL:Brazilian real (BRL)\nCAD:Canadian dollar (CAD)\nCZK:Czech koruna (CZK)\nDKK:Danish krone (DKK)\nHKD:Hong Kong dollar (HKD)\nHUF:Hungarian forint (HUF)\nILS:Israeli new shekel (ILS)\nJPY:Japanese yen (JPY)\nMYR:Malaysian ringgit (MYR)\nMXN:Mexican peso (MXN)\nTWD:New Taiwan dollar (TWD)\nNZD:New Zealand dollar (NZD)\nNOK:Norwegian krone (NOK)\nPHP:Philippine peso (PHP)\nPLN:Polish złoty (PLN)\nGBP:Pound sterling (GBP)\nRUB:Russian ruble (RUB)\nSGD:Singapore dollar (SGD)\nSEK:Swedish krona (SEK)\nCHF:Swiss franc (CHF)\nTHB:Thai baht (THB)';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_order_prefix', value = 'mystore_', category = 'Paypal_Checkout', orderby = 90, `type` = 'text', defvalue = 'mystore_', variants = '';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_mode', value = 'test', category = 'Paypal_Checkout', orderby = 100, `type` = 'selector', defvalue = 'test', variants = 'test:Test\nlive:Live';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_log_requests', value = 'N', category = 'Paypal_Checkout', orderby = 110, `type` = 'checkbox', defvalue = 'N', variants = '';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_enable_funding', value = '', category = 'Paypal_Checkout', orderby = 120, `type` = 'multiselector', defvalue = '', variants = 'paylater:Pay Later\nvenmo:Venmo';

REPLACE INTO `xcart_config` SET name = 'paypal_checkout_sep3_settings', value = '', category = 'Paypal_Checkout', orderby = 130, `type` = 'separator', defvalue = '', variants = '', comment = 'Checkout Settings';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout_disable_funding', value = '', category = 'Paypal_Checkout', orderby = 140, `type` = 'multiselector', defvalue = '', variants = 'card:Credit or debit cards\ncredit:PayPal Credit (US, UK)\npaylater:Pay Later\nbancontact:Bancontact\nblik:BLIK\neps:eps\ngiropay:giropay\nideal:iDEAL\nmercadopago:Mercado Pago\nmybank:MyBank\np24:Przelewy24\nsepa:SEPA-Lastschrift\nsofort:Sofort\nvenmo:Venmo';
REPLACE INTO `xcart_config` SET name = 'paypal_checkout3d_secure', value = 'Y', category = 'Paypal_Checkout', orderby = 150, `type` = 'checkbox', defvalue = 'Y', variants = '';

-- tab2 Customize The PayPal Button
-- tab2 Cart
REPLACE INTO `xcart_config` SET name = 'pc_button_sep_scart', value = '', category = 'Paypal_Checkout', orderby = 160, `type` = 'separator', defvalue = '', variants = '', comment = 'Cart';
REPLACE INTO `xcart_config` SET name = 'pc_button_layout_scart', value = 'vertical', category = '', orderby = 170, `type` = 'text', defvalue = 'vertical', variants = 'horizontal:Horizontal\nvertical:Vertical';
REPLACE INTO `xcart_config` SET name = 'pc_button_color_scart', value = 'gold', category = 'Paypal_Checkout', orderby = 180, `type` = 'selector', defvalue = 'gold', variants = 'gold:Gold\nblue:Blue\nsilver:Silver\nwhite:White\nblack:Black';
REPLACE INTO `xcart_config` SET name = 'pc_button_shape_scart', value = 'rect', category = 'Paypal_Checkout', orderby = 190, `type` = 'selector', defvalue = 'rect', variants = 'rect:Rect\npill:Pill';
REPLACE INTO `xcart_config` SET name = 'pc_button_label_scart', value = 'paypal', category = 'Paypal_Checkout', orderby = 200, `type` = 'selector', defvalue = 'paypal', variants = 'paypal:Paypal\ncheckout:Checkout\nbuynow:Buynow\npay:Pay';
REPLACE INTO `xcart_config` SET name = 'pc_button_tagline_scart', value = 'N', category = '', orderby = 210, `type` = 'text', defvalue = 'N', variants = '';
-- tab2 Checkout
REPLACE INTO `xcart_config` SET name = 'pc_button_sep_scheckout', value = '', category = 'Paypal_Checkout', orderby = 220, `type` = 'separator', defvalue = '', variants = '', comment = 'Cart';
REPLACE INTO `xcart_config` SET name = 'pc_button_layout_scheckout', value = 'vertical', category = '', orderby = 230, `type` = 'text', defvalue = 'vertical', variants = 'horizontal:Horizontal\nvertical:Vertical';
REPLACE INTO `xcart_config` SET name = 'pc_button_color_scheckout', value = 'gold', category = 'Paypal_Checkout', orderby = 240, `type` = 'selector', defvalue = 'gold', variants = 'gold:Gold\nblue:Blue\nsilver:Silver\nwhite:White\nblack:Black';
REPLACE INTO `xcart_config` SET name = 'pc_button_shape_scheckout', value = 'rect', category = 'Paypal_Checkout', orderby = 250, `type` = 'selector', defvalue = 'rect', variants = 'rect:Rect\npill:Pill';
REPLACE INTO `xcart_config` SET name = 'pc_button_label_scheckout', value = 'paypal', category = 'Paypal_Checkout', orderby = 260, `type` = 'selector', defvalue = 'paypal', variants = 'paypal:Paypal\ncheckout:Checkout\nbuynow:Buynow\npay:Pay';
REPLACE INTO `xcart_config` SET name = 'pc_button_tagline_scheckout', value = 'N', category = '', orderby = 270, `type` = 'text', defvalue = 'N', variants = '';
-- tab2 Default
REPLACE INTO `xcart_config` SET name = 'pc_button_sep_sdefault', value = '', category = 'Paypal_Checkout', orderby = 280, `type` = 'separator', defvalue = '', variants = '', comment = 'Cart';
REPLACE INTO `xcart_config` SET name = 'pc_button_layout_sdefault', value = 'vertical', category = '', orderby = 290, `type` = 'text', defvalue = 'vertical', variants = 'horizontal:Horizontal\nvertical:Vertical';
REPLACE INTO `xcart_config` SET name = 'pc_button_color_sdefault', value = 'gold', category = 'Paypal_Checkout', orderby = 300, `type` = 'selector', defvalue = 'gold', variants = 'gold:Gold\nblue:Blue\nsilver:Silver\nwhite:White\nblack:Black';
REPLACE INTO `xcart_config` SET name = 'pc_button_shape_sdefault', value = 'rect', category = 'Paypal_Checkout', orderby = 310, `type` = 'selector', defvalue = 'rect', variants = 'rect:Rect\npill:Pill';
REPLACE INTO `xcart_config` SET name = 'pc_button_label_sdefault', value = 'paypal', category = 'Paypal_Checkout', orderby = 320, `type` = 'selector', defvalue = 'paypal', variants = 'paypal:Paypal\ncheckout:Checkout\nbuynow:Buynow\npay:Pay';
REPLACE INTO `xcart_config` SET name = 'pc_button_tagline_sdefault', value = 'N', category = '', orderby = 330, `type` = 'text', defvalue = 'N', variants = '';

-- tab4 PayPal Credit Messaging
REPLACE INTO `xcart_config` SET name = 'pc_credit_messaging', value = 'Y', category = 'Paypal_Checkout', orderby = 340, `type` = 'checkbox', defvalue = 'Y', variants = '';
-- REPLACE INTO `xcart_config` SET name = 'pc_credit_banner_type', value = 'text', category = 'Paypal_Checkout', orderby = 350, `type` = 'selector', defvalue = 'text', variants = 'text:Lightweight text-based messages\nflex:Lightweight text-based messages';
REPLACE INTO `xcart_config` SET name = 'pc_credit_log_type', value = 'primary', category = 'Paypal_Checkout', orderby = 360, `type` = 'selector', defvalue = 'primary', variants = 'primary:Primary\nalternative:Alternative\ninline:Inline\nnone:None';
REPLACE INTO `xcart_config` SET name = 'pc_credit_logo_position', value = 'left', category = 'Paypal_Checkout', orderby = 370, `type` = 'selector', defvalue = 'left', variants = 'left:Left\nright:Right\ntop:Top';
REPLACE INTO `xcart_config` SET name = 'pc_credit_text_color', value = 'black', category = 'Paypal_Checkout', orderby = 380, `type` = 'selector', defvalue = 'black', variants = 'black:Black\nwhite:White\nmonochrome:Monochrome\ngrayscale:Grayscale';
REPLACE INTO `xcart_config` SET name = 'pc_credit_text_size', value = '12', category = 'Paypal_Checkout', orderby = 390, `type` = 'selector', defvalue = '12', variants = '10:10\n11:11\n12:Default\n13:13\n14:14\n15:15\n16:16';
REPLACE INTO `xcart_config` SET name = 'pc_credit_text_align', value = 'left', category = 'Paypal_Checkout', orderby = 400, `type` = 'selector', defvalue = 'left', variants = 'left:Left\ncenter:Center\nright:Right';

-- REPLACE INTO `xcart_config` SET name = 'pc_button_layout_scart', value = 'vertical', category = 'Paypal_Checkout', orderby = 410, `type` = 'selector', defvalue = 'vertical', variants = 'ver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1\nver1:ver1';

-- UPDATE xcart_languages SET value = CONCAT(value, ' (legacy)') WHERE name IN ('lbl_paypal_sol_advanced','lbl_paypal_sol_express','lbl_paypal_sol_payflowlink','lbl_paypal_sol_pro_hosted','lbl_paypal_sol_redirect','lbl_paypal_sol_std','lbl_paypal_sol_std_us', 'lbl_paypal_sol_pro', 'lbl_paypal_sol_pro_us') AND code='en' AND value NOT LIKE '%(legacy)';
-- REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "", "", "Labels");
-- REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "lbl_paypal_checkout_toggle_legacy_solutions", "Show/hide legacy solutions", "Labels");
-- REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "module_descr_Paypal_Checkout", "The newest all-in-one PayPal solution merges former PayPal payment solutions.", "Modules");
-- REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "module_name_Paypal_Checkout", "PayPal Checkout", "Modules");
-- REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "txt_paypal_checkout_note4disabled", "The newest all-in-one PayPal Checkout solution is currently turned <strong>OFF</strong>. Go the <a href=\"modules.php#Paypal_Checkout\">\"Modules\"</a> section and enable the \"PayPal Checkout\" module.", "Text");
-- REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "txt_paypal_checkout_note4enabled", "The newest all-in-one PayPal Checkout solution is currently turned <strong>ON</strong>. You can configure it <a href=\"configuration.php?option=Paypal_Checkout\">\"here\"</a> or <a href=\"modules.php#Paypal_Checkout\">\"disable\"</a> it to use legacy solutions below.", "Text");
-- UPDATE xcart_languages SET value = CONCAT(value, ' (legacy)') WHERE name IN ('lbl_paypal_sol_advanced','lbl_paypal_sol_express','lbl_paypal_sol_payflowlink','lbl_paypal_sol_pro_hosted','lbl_paypal_sol_redirect','lbl_paypal_sol_std','lbl_paypal_sol_std_us', 'lbl_paypal_sol_pro', 'lbl_paypal_sol_pro_us') AND code='en' AND value NOT LIKE '%(legacy)';
-- tab2 Cart
-- tab2 Minicart/Add to cart popup
-- tab2 checkout
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "lbl_paypal_checkout_credit", "PayPal Credit", "Labels");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "lbl_paypal_checkout_credit_messaging", "Pay Later messages", "Labels");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "lbl_paypal_checkout_customize_button", "Customize The PayPal Button", "Labels");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "lbl_paypal_checkout_or", "or", "Labels");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout3d_secure", "3D Secure", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_client_id", "Client Id", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_client_secret", "Client Secret", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_currency", "Currency", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_disable_funding", "Disable funding methods", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_enable_funding", "Enable funding methods", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_log_requests", "Log requests", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_mode", "Test/Live mode", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_order_prefix", "Invoice number prefix", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_sep1_settings", "Your Account Settings", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_sep2_settings", "General Settings", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_sep3_settings", "Checkout Settings", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_paypal_checkout_use_preauth", "Action to be performed on order placement", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_color_scart", "Color", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_color_scheckout", "Color", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_color_sdefault", "Color", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_label_scart", "Label", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_label_scheckout", "Label", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_label_sdefault", "Label", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_layout_scart", "Layout", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_layout_scheckout", "Layout", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_layout_sdefault", "Layout", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_sep_scart", "Cart", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_sep_scheckout", "Checkout", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_sep_sdefault", "Minicart / Add to cart popup", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_shape_scart", "Shape", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_shape_scheckout", "Shape", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_shape_sdefault", "Shape", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_tagline_scart", "Tagline", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_tagline_scheckout", "Tagline", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_button_tagline_sdefault", "Tagline", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_credit_log_type", "Logo type", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_credit_logo_position", "Logo position", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_credit_messaging", "PayPal Later Messaging", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_credit_text_align", "Text align", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_credit_text_color", "Text color", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_credit_text_size", "Text size", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "opt_pc_merchant_id_of_client", "Merchant Id", "Options");
REPLACE INTO xcart_languages (`code`, `name`, `value`, `topic`) VALUES ("en", "txt_paypal_checkout_UNPROCESSABLE_ENTITY", "Your payment could not be processed at this time. Please make sure the card information was entered correctly and resubmit. If the problem persists, please contact your credit card company to authorize the purchase.", "Labels");
