/* vim: set ts=2 sw=2 sts=2 et: */

if (typeof window.XCPaypalShowButtons !== 'function') {
  window.XCPaypalShowButtons = function (event) {
    if (event) {
      event.stopPropagation();
    }

    $('[data-paypal-button]').each(function () {
      const elem = $(this);

      let buttonObject = Object.assign(paypalCheckoutButtonConfig, {
        createOrder: function (data, actions) {
          return $.post('payment/cc_paypal_checkout.php', {
            call_type: 'start_express_checkout'
          }).then(function (response) {
            return response;
          });
        },

        onApprove: function (data) {
          window.location.href = 'payment/cc_paypal_checkout.php?mode=express_return&token=' + data.orderID;
        },

        onError: function (err) {
        }
      });

      paypal.Buttons(buttonObject).render(elem.get(0));
      elem.removeClass('paypal-button-hidden');
    });
  };//Window.XcpAYPAlShowButtons = function ()
}

if (typeof paypal !== 'undefined' && typeof paypal.Buttons().render !== 'undefined') {
  XCPaypalShowButtons();
} else {
  $('[data-paypal-button]').on('PayPal_lib_checkout_is_loaded', XCPaypalShowButtons);
}
