{*
41562c5cfeb62cd856c8982b2d194c8a49e4f4c3, v26 (xcart_4_7_7), 2016-12-26 19:10:26, cart.tpl, aim

vim: set ts=2 sw=2 sts=2 et:
*}

{if $config.Reboot.reboot_catalog_only_mode ne "Y"}

{if $cart ne "" && $active_modules.Gift_Certificates && $lng.txt_cart_note ne ""}
{capture name=alert}
{$lng.txt_cart_note}
{/capture}
{include file="customer/alert.tpl" content=$smarty.capture.alert icon="gift" color="info"}
{/if}

{if $active_modules.POS_System ne ""}
  {include file="modules/POS_System/scan_barcode_field.tpl"}
{/if}

{*----------------*}
{if $products ne ""}
{*----------------*}

<script src="{$SkinDir}/js/cart.js"></script>

<form action="cart.php" method="post" name="cartform">
<input type="hidden" name="action" value="update" />

<div class="row">
<div class="col-sm-12 col-md-8 col-lg-8 col-xl-8">

{if $config.General.minimal_order_amount ne 0 && $cart.display_subtotal lt $config.General.minimal_order_amount}
{capture name=alert}
{assign var="minimal_order_amount" value="<b>`$config.Reboot.reboot_primary_currency_symbol``$config.General.minimal_order_amount|string_format:"%.2f"`</b>"}
{$lng.err_checkout_not_allowed_msg|substitute:"value":$minimal_order_amount}
{/capture}
{include file="customer/alert.tpl" content=$smarty.capture.alert type="warning" nmb=false}
{/if}

{*----------------*}
{capture name=dialog}
<table>

{include file="customer/main/cart_items.tpl" products=$products}

{if $active_modules.Special_Offers}
  {include file="modules/Special_Offers/customer/free_offers.tpl"}
{/if}

{if $active_modules.Gift_Certificates}
  {include file="modules/Gift_Certificates/gc_cart.tpl" giftcerts_data=$cart.giftcerts}
{/if}

</table>
{/capture}
{include file="customer/dialog.tpl" title=$lng.lbl_items icon="cubes" heading="2" content=$smarty.capture.dialog noborder=true}
{*----------------*}

{if $active_modules.Special_Offers ne ""}
  {include file="modules/Special_Offers/customer/cart_bonuses.tpl"}
{/if}

{if $active_modules.XCart_Upselling}
  {include file="modules/XCart_Upselling/recommended_products.tpl"}
{/if}

{if $active_modules.Special_Offers and $cart ne ""}
{include file="modules/Special_Offers/customer/cart_offers.tpl"}
{include file="modules/Special_Offers/customer/promo_offers.tpl"}
{/if}

{if $need_shipping}
  {include file="customer/main/shipping_estimator.tpl"}
{/if}

</div>
<div class="col-sm-12 col-md-4 col-lg-4 col-xl-4 sticky-top">
<div class="sticky-top">

{include file="customer/main/cart_subtotal.tpl"}
        
{include file="modules/Gift_Registry/gift_wrapping_cart.tpl"}

{if $active_modules.Special_Offers}
  {include file="modules/Special_Offers/customer/cart_checkout_buttons.tpl"}
{/if}

<div class="row">
<div class="col-6">
{include file="customer/buttons/button.tpl" type="input" button_title=$lng.lbl_update_cart|capitalize additional_button_class="btn-white border shadow-sm btn-block mb-4"}
</div>
<div class="col-6">
{include file="customer/buttons/button.tpl" style="button" button_title=$lng.lbl_clear_cart|capitalize href="javascript: if (confirm(txt_are_you_sure)) self.location='cart.php?mode=clear_cart'; return false;" additional_button_class="btn-danger shadow-sm btn-block mb-4"}
</div>
<div class="col">
{if not $std_checkout_disabled}
{if $active_modules.POS_System ne "" && $user_is_pos_operator eq "Y"}
  {include file="modules/POS_System/process_order_button.tpl" position="bottom"}
{else}
  {include file="customer/buttons/button.tpl" button_title="`$lng.lbl_checkout|upper` <i class='fa fa-angle-right ml-2'></i>" href="cart.php?mode=checkout" additional_button_class="btn-lg btn-success shadow-sm btn-block mb-4 checkout_button"}
{/if}
{/if}
</div>
</div>

{*START ALT checkout SECTION, anchor for dynamic tpl insert*}
{if $active_modules.Bongo_International and $cart.bongo_landedCost}
  {include file="modules/Bongo_International/checkout_button.tpl"}
{else}

{*
{if $paypal_express_active || $amazon_pa_enabled || $pilibaba_enabled}

{capture name=card}

<div class="row align-items-start mb-0">

<div class="col-12 text-center mt-0"><p>{$lng.lbl_or_use}</p></div>

{if $pilibaba_enabled}
<div class="col-12 col-md text-center mt-3 mt-md-1">{include file="modules/Pilibaba/checkout_btn.tpl" btn_place="cart" hide_or_use_text="Y"}</div>
{/if}

{if $amazon_enabled}
<div class="col-12 col-md text-center mt-3 mt-md-1">{include file="modules/Amazon_Checkout/checkout_btn.tpl" hide_or_use_text="Y"}</div>
{/if}

{if $amazon_pa_enabled}
<div class="col-12 col-md text-center mt-3 mt-md-1">{include file="modules/Amazon_Payments_Advanced/checkout_btn.tpl" btn_place="cart" hide_or_use_text="Y"}</div>
{/if}

{if $paypal_express_active}
<div class="col-12 col-md text-center mt-3 mt-md-1">
{if $active_modules.Bill_Me_Later}
{if $config.Bill_Me_Later.bml_enable_banners eq 'Y' and $config.Bill_Me_Later.bml_banner_on_cart eq 'inline'}
  {include file="modules/Bill_Me_Later/banner.tpl" bml_page="cart" hide_or_use_text="Y"}
{/if}
{include file="payments/ps_paypal_bml_button.tpl" paypal_link="button" hide_or_use_text="Y"}
{/if}
</div>
{/if}

{if $paypal_express_active}
<div class="col-12 col-md text-center mt-3 mt-md-1">
{include file="payments/ps_paypal_pro_express_checkout.tpl" paypal_express_link="button" hide_or_use_text="Y"}
</div>
{/if}

</div>

{/capture}
{include file="customer/card.tpl" content=$smarty.capture.card}

<br>

{/if}
*}

</div>

</div>
</div>

</form>

{/if}{*if $Active_modules.BOngo_International And $Cart.Bongo_LandedCost*}
{*END ALT checkout SECTION, anchor for dynamic tpl insert*}

{*BCSE Module Begin - Reward Points mod*}
{if $active_modules.BCSE_Reward_Points}
{include file="modules/BCSE_Reward_Points/cart_add_points.tpl"}
{/if}
{*BCSE Module End - Reward Points mod*}

{if $cart.coupon_discount eq 0 and $products and $active_modules.Discount_Coupons}
  {include file="modules/Discount_Coupons/add_coupon.tpl"}
{/if}

{*----------------*}
{else}
{*----------------*}

{capture name=dialog}

{capture name=alert}
{$lng.txt_your_shopping_cart_is_empty}
{/capture}
{include file="customer/alert.tpl" content=$smarty.capture.alert type="warning" nmb=true icon="frown-o"}
{/capture}

{include file="customer/dialog.tpl" title=$lng.lbl_your_cart|capitalize icon=$config.Reboot.reboot_cart_icon heading="1" content=$smarty.capture.dialog noborder=true}

{if $active_modules.Recently_Viewed}
{getvar var=recently_viewed_products func=func_tpl_get_recently_viewed_products}
{if $recently_viewed_products}
{include file="customer/simple_products_list.tpl" nodialog=false nosubheader=true title=$lng.rviewed_section products=$recently_viewed_products carousel=true icon="eye"}
{/if}
{/if}

{if $active_modules.Bestsellers}
{getvar var=bestsellers func=func_tpl_get_bestsellers}
{if $bestsellers}
{include file="customer/simple_products_list.tpl" nodialog=false nosubheader=true title=$lng.lbl_bestsellers products=$bestsellers carousel=true icon="trophy"}
{/if}
{/if}

{*----------------*}
{/if}
{*----------------*}

{else}

{capture name=alert}
{$lng.lbl_reboot_catalog_only_mode}
{/capture}
{include file="customer/alert.tpl" content=$smarty.capture.alert type="warning" nmb=true}

{/if}