{*
5ad2383c1775174a30b4d90153991d71abede2d5, v13 (xcart_4_7_7), 2017-01-21 18:02:12, minicart.tpl, aim

vim: set ts=2 sw=2 sts=2 et:
*}
<div class="minicart-box">

    <form action="cart.php" method="post" name="minicartform">
    <input type="hidden" name="action" value="update" />

    <div class="minicart-products-list">

      {foreach from=$products item=product name=products}

        {if $product.hidden eq ''}

        <div class="row">

        <div class="col-auto" style="max-width:80px">
          <a href="product.php?productid={$product.productid}"><img class="img-fluid" style="max-width:50px;height:auto;" src="image.php?type=T&id={$product.productid}" alt="{$product.product|amp}"></a>
        </div>

        <div class="col pl-0">

          <p class="mb-3 h5 ignore-font"><a href="product.php?productid={$product.productid}" class="product-title">{$product.product|amp}</a></p>

          {if $active_modules.On_Sale && $product.on_sale eq "Y"}
            {include file="modules/On_Sale/on_sale_icon.tpl"}
          {/if}

          {if $product.free_shipping eq "Y"}
            {include file="customer/main/cart_free_shipping.tpl"}
          {/if}

          {if $active_modules.Special_Offers}
            {include file="modules/Special_Offers/customer/cart_free.tpl" minicart=true}
          {/if}

          {if $active_modules.Special_Offers && $product.have_offers}
            {include file="customer/main/cart_have_offers.tpl"}
          {/if}

          {if $active_modules.Egoods and $product.distribution}
            {include file="customer/main/cart_download.tpl"}
          {/if}

          {if $product.product_options ne ""}
          {*<p class="poptions-title">{$lng.lbl_selected_options|capitalize}:</p>*}
          <div class="poptions-list">
          {include file="modules/Product_Options/display_options.tpl" options=$product.product_options}
          {include file="customer/buttons/edit_product_options.tpl" id=$product.cartid additional_button_class="btn-sm btn-light border mb-3"}
          </div>
          {/if}

          {if $active_modules.Product_Configurator and $product.product_type eq "C"}
            {assign var="price" value=$product.pconf_display_price}
          {else}
            {assign var="price" value=$product.display_price}
          {/if}

            <div class="row align-items-center">

            {if $product.max_amount gt 0 && $product.amount gt $product.max_amount}
            {assign var="max_exceeded" value=true}
            <div class="col-12 text-sm">
            {capture name=alert}
            The quantity chosen <span class="badge badge-pill badge-danger">{$product.amount}</span> exceeds the maximum allowed <span class="badge badge-pill badge-danger">{$product.max_amount}</span>
            <p class="m-0">Please amend, or click 'Update'.</p>
            {/capture}
            {include file="customer/alert.tpl" content=$smarty.capture.alert close=false nb=false nmb=false type="danger" icon="warning"}
            </div>
            {/if}

            <div class="col-auto">
            {if ($active_modules.Egoods and $product.distribution) || ($product.free_amount gt 0 and $product.subtotal eq 0)}
              <input class="form-control" type="text" style="max-width:50px;" name="productindexes[{$product.cartid}]" value="1" readonly disabled>
            {else}
              <input type="number" name="productindexes[{$product.cartid}]" value="{$product.amount}" class="form-control border qty-spinner{if $product.max_amount ne 0 && ($product.amount gt $product.max_amount)} bg-danger text-light{/if}" style="max-width:50px;" maxlength="3" size="2" onclick="javascript:select()"{if $product.min_amount gt 1} data-min="{$product.min_amount}"{/if}{if $product.max_amount gt 0} data-max="{$product.max_amount}"{/if}{if $product.case_amount gt 0} data-step="{$product.case_amount}"{/if} />
            {/if}
            </div>

            <div class="col-auto">
            &times;
            <span>{currency value=$price}</span>
            =
            <span class="text-success"><b>{multi x=$price y=$product.amount assign=unformatted}{currency value=$unformatted}</b></span>
            </div>

            <div class="col text-left text-sm-right mt-2 mt-md-0">
            {if !$product.distribution}{include file="customer/buttons/update.tpl" type="input" additional_button_class="update-cart btn-sm btn-light border"}{/if}
            {include file="customer/buttons/button.tpl" button_title=$lng.lbl_remove href="`$xcart_web_dir`/cart.php?mode=delete&amp;productindex=`$product.cartid`" additional_button_class="delete btn btn-sm btn-danger"}
            </div>

            </div>

        </div>

        <div class="col-12">{if !$smarty.foreach.products.last}<hr>{else}{if !$giftcerts}<br>{/if}{/if}</div>

        </div>

        {/if}

      {/foreach}

      {foreach from=$giftcerts item=gc key=gcindex name=giftcerts}

        <div class="row mb-3">

        <div class="col-12"><hr></div>

        <div class="col-auto" style="max-width:80px">
          <a href="giftcert.php?gcindex={$gcindex}"><img class="lazyload img-fluid" src="{$AltImagesDir}/spacer.gif" data-src="{$AltImagesDir}/uploads/{$config.Reboot.reboot_image_gift_certificate}" alt="{$lng.lbl_gift_certificate|capitalize}"></a>
        </div>

        <div class="col pl-0">

          <a href="giftcert.php?gcindex={$gcindex}">{$lng.lbl_gift_certificate|capitalize}</a>

            <div class="row align-items-center">

            <div class="col-auto">
            <span class="text-sm">{$lng.lbl_recipient}: <b>{$gc.recipient}</b><br>
            {if $gc.recipient_email}{$lng.lbl_email}: {$gc.recipient_email}<br>{/if}
            {$lng.lbl_amount}: </span><span class="text-success"><b>{currency value=$gc.amount}</b></span>
            </div>

            <div class="col text-left text-sm-right mt-2 mt-md-0 align-self-end">
            {include file="customer/buttons/button.tpl" button_title=$lng.lbl_modify href="`$xcart_web_dir`/giftcert.php?gcindex=`$gcindex`" additional_button_class="btn btn-sm btn-light border"}
            {include file="customer/buttons/button.tpl" button_title=$lng.lbl_remove href="`$xcart_web_dir`/giftcert.php?mode=delgc&amp;gcindex=`$gcindex`" additional_button_class="delete btn btn-sm btn-light border"}
            </div>

            </div>

        </div>

        </div>

      {/foreach}

      {if $cart_not_full}
      <hr>
      <div class="text-center"><a class="btn btn-outline-primary mb-3" href="cart.php">{$lng.lbl_other_products_in_cart} <i class="fa fa-angle-right"></i></a></div>
      {/if}

    </div>

    <div class="p-3 border-top">

      <div class="row mb-3 align-items-center">
        <div class="col-6 font-weight-bold">
          <a href="javascript:;" class="nounderline dotted popover_n cursor-help" title="{$lng.lbl_subtotal}" data-html="true" data-content="<em>{$lng.txt_minicart_total_note}</em>">{$lng.lbl_subtotal}:</a>
        </div>
        <div class="col-6 text-right minicart---items---value">
          <span class="badge badge-pill badge-success h6 mt-2">{* subtotal populates here *}</span>
        </div>
      </div>

      <div class="row align-items-start mb-0">

      {*BCSE Module Begin - Reward Points mod*}
      {if $login and $active_modules.BCSE_Reward_Points and $config.BCSE_Reward_Points.bcse_points_disable_customer ne "Y" and $config.BCSE_Reward_Points.bcse_points_minicart_points eq "Y"}
      <div class="col-12 text-center p-0 mb-3"><a class="text-success" href="points_history.php"><b>{$points_customer_rewards_details}</b></a></div>
      {/if}
      {*BCSE Module End - Reward Points mod*}

        <div class="col-{if $max_exceeded}4{else}3{/if} pr-1">
          {include file="customer/buttons/button.tpl" button_title="`$lng.lbl_update|capitalize` `$lng.lbl_all`" type="input" additional_button_class="update-cart btn btn-block btn-light border"}
        </div>

        <div class="col-{if $max_exceeded}4{else}3{/if} px-1">
          {include file="customer/buttons/button.tpl" button_title=$lng.lbl_clear_cart|capitalize href="`$xcart_web_dir`/cart.php?mode=clear_cart" additional_button_class="clear-cart btn btn-block btn-danger"}
        </div>

        <div class="col-{if $max_exceeded}4{else}3{/if} px-1">
          {include file="customer/buttons/button.tpl" button_title=$lng.lbl_view_cart|capitalize href="`$xcart_web_dir`/cart.php" additional_button_class="btn-block btn-primary"}
        </div>

        <div class="col-3 pl-1{if $max_exceeded} d-none{/if}">
          {include file="customer/buttons/button.tpl" button_title=$lng.lbl_checkout|capitalize href="`$xcart_web_dir`/cart.php?mode=checkout" additional_button_class="btn-block btn-success" button_fa_icon_right="angle-right"}
        </div>

      </div>

    </form>

{*
        {if $paypal_express_active or $amazon_pa_enabled or $pilibaba_enabled}
        <div class="row align-items-start mb-0">

            <div class="col-12 text-center mt-3"><p>{$lng.lbl_or_use}</p></div>

            {if $pilibaba_enabled}
              <div class="col text-center">{include file="modules/Pilibaba/checkout_btn.tpl" btn_place="minicart" top_button="Y"}</div>
            {/if}
            {if $amazon_pa_enabled}
              <div class="col text-center mt-1">{include file="modules/Amazon_Payments_Advanced/checkout_btn.tpl" btn_place="minicart" hide_or_use_text="Y"}</div>
            {/if}
            {if $paypal_express_active}
              <div class="col text-center mt-1">{include file="payments/ps_paypal_pro_express_checkout.tpl" paypal_express_link="button" hide_or_use_text="Y"}</div>
            {/if}

        </div>
        {/if}
*}

    </div>

{if $minicart_standalone}
  {load_defer_code type="css"}
  {load_defer_code type="js"}
{/if}

</div>