{*
b21f2cae6a08e1407d0c798c24fea2238a9d6bf4, v12 (xcart_4_7_9), 2017-10-25 18:26:52, service_head.tpl, aim

vim: set ts=2 sw=2 sts=2 et:
*}
{get_title page_type=$meta_page_type page_id=$meta_page_id}
{include file="customer/meta.tpl"}
{include file="customer/service_js.tpl"}
{include file="customer/service_css.tpl"}

<link rel="shortcut icon" type="image/png" href="{$current_location}/favicon.ico" />

{if $config.SEO.canonical eq 'Y' or $active_modules.Segment}
  <link rel="canonical" href="{$canonical_url}" />
{/if}
{if $config.SEO.clean_urls_enabled eq "Y"}
  <base href="{$catalogs.customer}/" />
{/if}

{if $active_modules.Refine_Filters}
  {include file="modules/Refine_Filters/service_head.tpl"}
{/if}

{if $active_modules.Socialize ne ""}
  {include file="modules/Socialize/service_head.tpl"}
{/if}

{if $active_modules.Lexity ne ""}
  {include file="modules/Lexity/service_head.tpl"}
{/if}

{if $active_modules.Bongo_International}
  {include file="modules/Bongo_International/service_head.tpl"}
{/if}

{if $active_modules.Facebook_Ecommerce}
  {include file="modules/Facebook_Ecommerce/base_snippet_head.tpl"}
{/if}

{if $active_modules.Google_reCaptcha}
  {include file="modules/Google_reCaptcha/service_head.tpl"}
{/if}

{if $active_modules.Paypal_Checkout}
  {include file="modules/Paypal_Checkout/service_head.tpl"}
{/if}

{load_defer_code type="css"}
{load_defer_code type="js"}
